"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _facebookLoginRenderProps = _interopRequireDefault(require("react-facebook-login/dist/facebook-login-render-props"));

var _io = require("react-icons/io");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const FacebookAuthLogin = props => {
  const buttonStyle = {
    display: "flex",
    alignItems: "center",
    justifyContent: "space-around",
    backgroundColor: props.backgroundColor ? props.backgroundColor : "#4267B2",
    color: props.textColor ? props.textColor : "#fff",
    border: props.border ? props.border : "none",
    height: props.height ? props.height : "40px",
    width: props.width ? props.width : "250px",
    fontFamily: "Roboto, sans-serif",
    fontSize: props.fontSize ? props.fontSize : "15px",
    cursor: "pointer",
    boxShadow: "0 2px 2px 0 rgba(0, 0, 0, .24), 0 0 1px 0 rgba(0, 0, 0, .24)",
    borderRadius: "2px"
  };

  const responseFacebook = response => {
    console.log("logged in", response);
  }; // const componentClicked = (data) => {
  //   console.log("clicked", data);
  // };


  const onLoginFailure = res => {
    console.log("Login Failed:", res);
  };

  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_facebookLoginRenderProps.default, {
    appId: props.appId,
    render: renderProps => /*#__PURE__*/_react.default.createElement("button", {
      onClick: renderProps.onClick,
      style: buttonStyle
    }, /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement(_io.IoLogoFacebook, {
      style: {
        color: props.logoColor ? props.logoColor : "#fff"
      },
      size: props.logoSize ? props.logoSize : 30
    })), /*#__PURE__*/_react.default.createElement("span", null, props.textLogin ? props.textLogin : "Continue with Facebook")),
    autoLoad: false,
    fields: "name,email,picture",
    scope: "public_profile,user_friends" // onClick={props.componentClicked ? props.componentClicked : componentClicked}
    ,
    callback: props.responseFacebook ? props.responseFacebook : responseFacebook,
    onFailure: props.onLoginFailure ? props.onLoginFailure : onLoginFailure
  }));
};

var _default = FacebookAuthLogin;
exports.default = _default;